Subject: bug#10814: commentaries reached via finder-list-keywords do not have links

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 20:33:28 -0700

close 10814 29.1
thanks

Stefan Kangas <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
>> Package: emacs
>> Version: 24.0.93
>> Severity: wishlist
>>
>> Current trunk:
>>
>> emacs -Q -f finder-commentary
>> calendar RET
>>
>> In the *Finder-package* buffer, `appt.el' etc are links that can be
>> clicked to view the named file's commentary.
>>
>> But if you do instead:
>> emacs -Q -f finder-list-keywords
>> select calendar category
>> select calendar package
>>
>> then in the *Help* buffer that appears, the same commentary is shown but
>> there are no links.
>
> This seems to be because there are two similar functions,
> finder-commentary and describe-package to generate this text.

I have now fixed the above issue on master (commit 241574375d).  You
will now see the links using the above recipe.

> Perhaps these two functions should somehow be merged?

I did not do this part, but I added a FIXME.  Hopefully someone will
pick it up at some point.